Bug 1644409 - Limit pg log length during recovery/backfill so that we don't run out of memory
Summary: Limit pg log length during recovery/backfill so that we don't run out of memory
Keywords:
Status: CLOSED DUPLICATE of bug 1608060
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 3.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 3.2
Assignee: Neha Ojha
QA Contact: ceph-qe-bugs
Bara Ancincova
URL:
Whiteboard:
Depends On: 1608060 1673654
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-30 18:43 UTC by Neha Ojha
Modified: 2019-02-07 17:06 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
.PG log length is now limited Previously, the `osd_max_pg_log_entries` option did not set a hard limit for the placement group (PG) log length. Consequently, during recovery and backfill, the log could grow significantly and consume a lot of memory, in some cases even all of it. With this update, a hard limit is set on the number of log entries in the PG log even during recovery and backfill. A corner case, where it might be hard to limit the PG log length, is on erasure-coded pools, when the rollback information on some of replicas is too old for some reason.
Clone Of: 1608060
Environment:
Last Closed: 2019-01-08 00:32:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 23979 None None None 2018-10-30 18:43:00 UTC
Github https://github.com/ceph ceph pull 23211 None None None 2020-03-04 20:58:35 UTC


Note You need to log in before you can comment on or make changes to this bug.